Bug 741394 - [abrt] xfce4-power-manager-1.0.10-1.fc16: g_test_log_set_fatal_handler: Process /usr/bin/xfce4-power-manager was killed by signal 5 (SIGTRAP)
[abrt] xfce4-power-manager-1.0.10-1.fc16: g_test_log_set_fatal_handler: Proce...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:a471f2f6b97fb609a0e4665a0c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-26 13:56 EDT by igor.redhat@gmail.com
Modified: 2011-10-27 14:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-24 04:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (20.59 KB, text/plain)
2011-09-26 13:56 EDT, igor.redhat@gmail.com
no flags Details
File: event_log (20.50 KB, text/plain)
2011-09-26 13:56 EDT, igor.redhat@gmail.com
no flags Details
File: coredump (10.11 MB, text/plain)
2011-09-26 13:57 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2011-09-26 13:56:29 EDT
abrt version: 2.0.5.980
backtrace_rating: 3
cmdline:        xfce4-power-manager
crash_function: g_test_log_set_fatal_handler
executable:     /usr/bin/xfce4-power-manager
kernel:         3.0.0-1.fc16.x86_64
reason:         Process /usr/bin/xfce4-power-manager was killed by signal 5 (SIGTRAP)
time:           Fri Sep 23 01:18:27 2011
uid:            500
username:       igor

event_log:      Text file, 20995 bytes
maps:           Text file, 21080 bytes

backtrace:
:warning: core file may not match specified executable file.
:Missing separate debuginfo for /usr/lib64/libgtk-x11-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/38/d6e127cf938b80d121f34097e4c3aeb4b89666 /var/cache/abrt-di/usr/lib/debug/.build-id/38/d6e127cf938b80d121f34097e4c3aeb4b89666
:Missing separate debuginfo for /usr/lib64/libgdk-x11-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/d0/88e4f7d68d087390b4a16a8ce813a61e92b987 /var/cache/abrt-di/usr/lib/debug/.build-id/d0/88e4f7d68d087390b4a16a8ce813a61e92b987
:Missing separate debuginfo for /usr/lib64/libatk-1.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/e3/baf3b147d94cc6e1ca81584a718912de2bd0d9 /var/cache/abrt-di/usr/lib/debug/.build-id/e3/baf3b147d94cc6e1ca81584a718912de2bd0d9
:Missing separate debuginfo for /usr/lib64/libpangoft2-1.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3c/55e68121d3657c207a070a8c150b3055d45623 /var/cache/abrt-di/usr/lib/debug/.build-id/3c/55e68121d3657c207a070a8c150b3055d45623
:Missing separate debuginfo for /usr/lib64/libpangocairo-1.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/bc/6ef19aa95f1c2e2af71fb12cb60e9315b2e0c4 /var/cache/abrt-di/usr/lib/debug/.build-id/bc/6ef19aa95f1c2e2af71fb12cb60e9315b2e0c4
:Missing separate debuginfo for /usr/lib64/libpango-1.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/53/5b36166e926cc8c230cffc7deb5d46d103e6ac /var/cache/abrt-di/usr/lib/debug/.build-id/53/5b36166e926cc8c230cffc7deb5d46d103e6ac
:Missing separate debuginfo for /usr/lib64/libfreetype.so.6
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/1c/9ea813c175e7c9fdbbc71b7e4c435c1bbd7952 /var/cache/abrt-di/usr/lib/debug/.build-id/1c/9ea813c175e7c9fdbbc71b7e4c435c1bbd7952
:Missing separate debuginfo for /lib64/libdbus-1.so.3
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2b/7dd2945c33cb04d8e7e20e658978f18fd8b491 /var/cache/abrt-di/usr/lib/debug/.build-id/2b/7dd2945c33cb04d8e7e20e658978f18fd8b491
:Missing separate debuginfo for /lib64/libpthread.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/16/cd4f049ae10dc8c27c8d9a1c933189f74cc837 /var/cache/abrt-di/usr/lib/debug/.build-id/16/cd4f049ae10dc8c27c8d9a1c933189f74cc837
:Missing separate debuginfo for /usr/lib64/libnotify.so.4
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/73/406c405d81cc8ebddb7d267a8c8035eeabef49 /var/cache/abrt-di/usr/lib/debug/.build-id/73/406c405d81cc8ebddb7d267a8c8035eeabef49
:Missing separate debuginfo for /usr/lib64/libgdk_pixbuf-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/71/a6e8a0b941d284363a552719ad89f6e13c416f /var/cache/abrt-di/usr/lib/debug/.build-id/71/a6e8a0b941d284363a552719ad89f6e13c416f
:Missing separate debuginfo for /lib64/libgio-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/a8/46184299890c97d37cecedf02d0950a7fc3f15 /var/cache/abrt-di/usr/lib/debug/.build-id/a8/46184299890c97d37cecedf02d0950a7fc3f15
:Missing separate debuginfo for /lib64/libgobject-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2b/fc84b715cc5d83bd57e06c5ba53908eaa76ee8 /var/cache/abrt-di/usr/lib/debug/.build-id/2b/fc84b715cc5d83bd57e06c5ba53908eaa76ee8
:Missing separate debuginfo for /lib64/libgmodule-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/dd/64c6b3988aa5eb1d27a37c2efbd54c52f8d953 /var/cache/abrt-di/usr/lib/debug/.build-id/dd/64c6b3988aa5eb1d27a37c2efbd54c52f8d953
:Missing separate debuginfo for /lib64/libgthread-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/91/cbfb5d1e390de70c4ce752917cb158edfdf44a /var/cache/abrt-di/usr/lib/debug/.build-id/91/cbfb5d1e390de70c4ce752917cb158edfdf44a
:Missing separate debuginfo for /lib64/librt.so.1
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/84/c10b99d5e313e2da4f265437eb20d9d15f0470 /var/cache/abrt-di/usr/lib/debug/.build-id/84/c10b99d5e313e2da4f265437eb20d9d15f0470
:Missing separate debuginfo for /lib64/libglib-2.0.so.0
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/a1/2e6b090d274b8311b78a5029b13ec9dd614084 /var/cache/abrt-di/usr/lib/debug/.build-id/a1/2e6b090d274b8311b78a5029b13ec9dd614084
:Missing separate debuginfo for /lib64/libm.so.6
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/49/a5c6d4e4db5066266ee3c801a61846352da742 /var/cache/abrt-di/usr/lib/debug/.build-id/49/a5c6d4e4db5066266ee3c801a61846352da742
:Missing separate debuginfo for /lib64/libc.so.6
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/39/a9d7e5a7c16008e1a436b07c3b4572a8ad8864 /var/cache/abrt-di/usr/lib/debug/.build-id/39/a9d7e5a7c16008e1a436b07c3b4572a8ad8864
:Missing separate debuginfo for /lib64/ld-linux-x86-64.so.2
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/f4/a8746bdce81a5832071025756151f69ae8e122 /var/cache/abrt-di/usr/lib/debug/.build-id/f4/a8746bdce81a5832071025756151f69ae8e122
:Missing separate debuginfo for /lib64/libdl.so.2
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/77/36285a9d7606379bd0145646e9974d1221616b /var/cache/abrt-di/usr/lib/debug/.build-id/77/36285a9d7606379bd0145646e9974d1221616b
:Missing separate debuginfo for /lib64/libresolv.so.2
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/22/fcd30239c84ed7b18f5b9a34c2629f7a8fc4aa /var/cache/abrt-di/usr/lib/debug/.build-id/22/fcd30239c84ed7b18f5b9a34c2629f7a8fc4aa
:Missing separate debuginfo for /lib64/libnss_files.so.2
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/b8/64e94cf7e23d207e5474bbb7beaee3633ed694 /var/cache/abrt-di/usr/lib/debug/.build-id/b8/64e94cf7e23d207e5474bbb7beaee3633ed694
:[New LWP 1545]
:[New LWP 1655]
:warning: .dynamic section for "/usr/lib64/libgtk-x11-2.0.so.0" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib64/libgdk-x11-2.0.so.0" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib64/libpangoft2-1.0.so.0" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib64/libpangocairo-1.0.so.0" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib64/libpango-1.0.so.0" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/libdbus-1.so.3" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib64/libnotify.so.4" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/libgobject-2.0.so.0" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/librt.so.1" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/libm.so.6" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/libc.so.6" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib64/libXi.so.6" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/usr/lib64/libffi.so.5" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/libresolv.so.2" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/libgcc_s.so.1" is not at the expected address (wrong library or version mismatch?)
:warning: .dynamic section for "/lib64/libnss_files.so.2" is not at the expected address (wrong library or version mismatch?)
:warning: Ignoring non-absolute filename: <@	>
:Missing separate debuginfo for @	
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/36/cf2eb9e14f0d769e943ee8b527243a0c294791 /var/cache/abrt-di/usr/lib/debug/.build-id/36/cf2eb9e14f0d769e943ee8b527243a0c294791
:warning: Could not load shared library symbols for @	.
:Do you need "set solib-search-path" or "set sysroot"?
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib64/libthread_db.so.1".
:warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//usr/lib64/libffi.so.5.0.10.debug" does not match "/usr/lib64/libffi.so.5" (CRC mismatch).
:
:warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/usr/lib64/libffi.so.5.0.10.debug" does not match "/usr/lib64/libffi.so.5" (CRC mismatch).
:
:Core was generated by `xfce4-power-manager'.
:Program terminated with signal 5, Trace/breakpoint trap.
:#0  0x00007f4ad8c9cf43 in g_test_log_set_fatal_handler (log_func=0x2, user_data=0x0) at gmessages.c:404
:404	  g_mutex_lock (g_messages_lock);
:
:Thread 2 (Thread 0x7f4ace903700 (LWP 1655)):
:#0  0x00007f4ad7fa6ce3 in __sync_file_range_nocancel () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#1  0x00007f4ac8001150 in ?? ()
:No symbol table info available.
:#2  0x00000000ffffffff in ?? ()
:No symbol table info available.
:#3  0x0000000000000001 in ?? ()
:No symbol table info available.
:#4  0x00007f4ac8001150 in ?? ()
:No symbol table info available.
:#5  0x0000000000000001 in ?? ()
:No symbol table info available.
:#6  0x00007f4ad8c94bb8 in g_main_dispatch (context=0xffffffff) at gmain.c:2466
:        dispatch = <optimized out>
:        was_in_call = <optimized out>
:        user_data = 0x7f4ada16ed20
:        callback = 0x200c1c0
:        cb_funcs = <optimized out>
:        cb_data = <optimized out>
:        current_source_link = {data = 0x7f4ad8f6f7e0, next = 0xffffffff7fffffff}
:        need_destroy = <optimized out>
:        source = 0x200c210
:        current = 0x624380
:        i = <optimized out>
:#7  g_main_context_dispatch (context=0xffffffff) at gmain.c:3011
:No locals.
:#8  0x000000000200c1e0 in ?? ()
:No symbol table info available.
:#9  0x00007f4ada16fee0 in __pthread_mutex_unlock_usercnt (mutex=0xffffffffffffffff, decr=1) at pthread_mutex_unlock.c:75
:        type = -516
:#10 0x00007f4ad8f6f7c8 in mutable_test_config_vars () from /lib64/libglib-2.0.so.0
:No symbol table info available.
:#11 0x00007f4ada16ed20 in __pthread_mutex_destroy (mutex=0x7f4ac8001150) at pthread_mutex_destroy.c:33
:No locals.
:#12 0x0000000000000003 in ?? ()
:No symbol table info available.
:#13 0x00007f4ad9894326 in parser_start_element (context=<optimized out>, element_name=<optimized out>, attribute_names=0x0, attribute_values=0x7f4ad8c953f5, user_data=0x624380, error=0x1) at gdbusintrospection.c:1340
:        data = 0x624380
:        stack = 0x0
:        name = 0x0
:        type = 0x0
:        access = 0x0
:        direction = 0x0
:        value = 0x0
:#14 0x18e2f4f75a604990 in ?? ()
:No symbol table info available.
:#15 0x00007fff8ad6fbb0 in ?? ()
:No symbol table info available.
:#16 0x00007f4ace9039c0 in ?? ()
:No symbol table info available.
:#17 0x0000000000000000 in ?? ()
:No symbol table info available.
:
:Thread 1 (Thread 0x7f4adc9729a0 (LWP 1545)):
:#0  0x00007f4ad8c9cf43 in g_test_log_set_fatal_handler (log_func=0x2, user_data=0x0) at gmessages.c:404
:No locals.
:#1  0x0000000000000000 in ?? ()
:No symbol table info available.
:From                To                  Syms Read   Shared Object Library
:0x00007f4adc570b60  0x00007f4adc5778ec  Yes         /usr/lib64/libxfce4ui-1.so.0.0.0
:0x00007f4adbf59fc0  0x00007f4adc1fef18  Yes         /usr/lib64/libgtk-x11-2.0.so.0
:0x00007f4adbce44c0  0x00007f4adbceaf28  Yes         /usr/lib64/libxfce4util.so.4.1.1
:0x00007f4adba3ecc0  0x00007f4adbaa2078  Yes         /usr/lib64/libgdk-x11-2.0.so.0
:0x00007f4adb808ac0  0x00007f4adb814b88  Yes         /usr/lib64/libatk-1.0.so.0
:0x00007f4adb5d9950  0x00007f4adb5f3a28  Yes         /usr/lib64/libpangoft2-1.0.so.0
:0x00007f4adb3cac58  0x00007f4adb3cf8a0  Yes         /usr/lib64/libpangocairo-1.0.so.0
:0x00007f4adb127180  0x00007f4adb19ea68  Yes         /usr/lib64/libcairo.so.2.11000.2
:0x00007f4adaedf930  0x00007f4adaefdf18  Yes         /usr/lib64/libpango-1.0.so.0
:0x00007f4adac3eac0  0x00007f4adaca7ab8  Yes         /usr/lib64/libfreetype.so.6
:0x00007f4adaa03da0  0x00007f4adaa1d84c  Yes         /usr/lib64/libfontconfig.so.1.4.4
:0x00007f4ada7efb20  0x00007f4ada7f88a8  Yes         /usr/lib64/libxfconf-0.so.2.0.0
:0x00007f4ada5cf400  0x00007f4ada5e151c  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
:0x00007f4ada388190  0x00007f4ada3b1168  Yes         /lib64/libdbus-1.so.3
:0x00007f4ada16a6b0  0x00007f4ada175b18  Yes         /lib64/libpthread.so.0
:0x00007f4ad9f5fa40  0x00007f4ad9f61fd8  Yes         /usr/lib64/libnotify.so.4
:0x00007f4ad9d42270  0x00007f4ad9d55c08  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0
:0x00007f4ad9b198c0  0x00007f4ad9b33b38  Yes         /usr/lib64/libpng12.so.0.46.0
:0x00007f4ad97f5170  0x00007f4ad98b7648  Yes         /lib64/libgio-2.0.so.0
:0x00007f4ad958be30  0x00007f4ad95bd388  Yes         /lib64/libgobject-2.0.so.0
:0x00007f4ad937f020  0x00007f4ad937ffc8  Yes         /lib64/libgmodule-2.0.so.0
:0x00007f4ad917a5a0  0x00007f4ad917bad8  Yes         /lib64/libgthread-2.0.so.0
:0x00007f4ad8f73288  0x00007f4ad8f76780  Yes         /lib64/librt.so.1
:0x00007f4ad8c678c0  0x00007f4ad8d00118  Yes         /lib64/libglib-2.0.so.0
:0x00007f4ad8a49720  0x00007f4ad8a4e75c  Yes         /usr/lib64/libXrandr.so.2.2.0
:0x00007f4ad8839460  0x00007f4ad884431c  Yes         /usr/lib64/libXext.so.6.4.0
:0x00007f4ad8515ce0  0x00007f4ad85a17ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x00007f4ad8277f38  0x00007f4ad82b8030  Yes         /lib64/libm.so.6
:0x00007f4ad7edde80  0x00007f4ad8019040  Yes         /lib64/libc.so.6
:0x00007f4ad7cbfad0  0x00007f4ad7cc3d7c  Yes         /usr/lib64/libSM.so.6
:0x00007f4ad7aa7d00  0x00007f4ad7ab5e1c  Yes         /usr/lib64/libICE.so.6
:0x00007f4ad789d100  0x00007f4ad78a077c  Yes         /usr/lib64/libstartup-notification-1.so.0
:0x00007f4ad76953e0  0x00007f4ad769850c  Yes         /usr/lib64/libXfixes.so.3
:0x00007f4ad748b910  0x00007f4ad749210c  Yes         /usr/lib64/libXrender.so.1
:0x00007f4ad7288a00  0x00007f4ad728948c  Yes         /usr/lib64/libXinerama.so.1
:0x00007f4ad707a190  0x00007f4ad7084968  Yes (*)     /usr/lib64/libXi.so.6
:0x00007f4ad6e718d0  0x00007f4ad6e7649c  Yes         /usr/lib64/libXcursor.so.1
:0x00007f4ad6c6db30  0x00007f4ad6c6e89c  Yes         /usr/lib64/libXcomposite.so.1
:0x00007f4ad6a6ba90  0x00007f4ad6a6c60c  Yes         /usr/lib64/libXdamage.so.1
:0x00007f4ad67fe870  0x00007f4ad6858478  Yes         /usr/lib64/libpixman-1.so.0
:0x00007f4ad65e0e70  0x00007f4ad65ed66c  Yes         /lib64/libz.so.1
:0x00007f4ad63b9b70  0x00007f4ad63d384c  Yes         /lib64/libexpat.so.1
:0x00007f4adc77cb20  0x00007f4adc79629a  Yes         /lib64/ld-linux-x86-64.so.2
:0x00007f4ad61afb50  0x00007f4ad61b42b8  Yes (*)     /usr/lib64/libffi.so.5
:0x00007f4ad5faade0  0x00007f4ad5fab918  Yes         /lib64/libdl.so.2
:0x00007f4ad5d91960  0x00007f4ad5da2028  Yes         /lib64/libresolv.so.2
:0x00007f4ad5b75c50  0x00007f4ad5b85e48  Yes (*)     /lib64/libselinux.so.1
:0x00007f4ad595d6c0  0x00007f4ad5968c0c  Yes         /usr/lib64/libxcb.so.1
:0x00007f4ad5742870  0x00007f4ad5752088  Yes (*)     /lib64/libgcc_s.so.1
:0x00007f4ad553c5d0  0x00007f4ad553dc18  Yes (*)     /lib64/libuuid.so.1
:0x00007f4ad5339160  0x00007f4ad5339b3c  Yes         /usr/lib64/libxcb-aux.so.0
:0x00007f4ad51374e0  0x00007f4ad513760c  Yes         /usr/lib64/libX11-xcb.so.1.0.0
:0x00007f4ad4f34dd0  0x00007f4ad4f35b2c  Yes         /usr/lib64/libXau.so.6
:0x00007f4ace906150  0x00007f4ace90da88  Yes         /lib64/libnss_files.so.2
:0x00007f4acdedda90  0x00007f4acdefe05c  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
:                                        No          @	
:(*): Shared library is missing debugging information.
:$1 = 0x0
:$2 = 0x0
:rax            0x1f900	129280
:rbx            0x2	2
:rcx            0x1	1
:rdx            0x1	1
:rsi            0x0	0
:rdi            0x7f4ad826f1e0	139959430738400
:rbp            0x2	0x2
:rsp            0x7fff8ad6fc00	0x7fff8ad6fc00
:r8             0x2052300	33891072
:r9             0x1	1
:r10            0x0	0
:r11            0x0	0
:r12            0x4	4
:r13            0x7fff8ad700c8	140735522734280
:r14            0x0	0
:r15            0x0	0
:rip            0x7f4ad8c9cf43	0x7f4ad8c9cf43 <g_test_log_set_fatal_handler+99>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function g_test_log_set_fatal_handler:
:   0x00007f4ad8c9cee0 <+0>:	mov    %rbx,-0x18(%rsp)
:   0x00007f4ad8c9cee5 <+5>:	mov    %rbp,-0x10(%rsp)
:   0x00007f4ad8c9ceea <+10>:	mov    %rdi,%rbx
:   0x00007f4ad8c9ceed <+13>:	mov    %r12,-0x8(%rsp)
:   0x00007f4ad8c9cef2 <+18>:	sub    $0x28,%rsp
:   0x00007f4ad8c9cef6 <+22>:	mov    0x2d2093(%rip),%rbp        # 0x7f4ad8f6ef90
:   0x00007f4ad8c9cefd <+29>:	mov    0x0(%rbp),%eax
:   0x00007f4ad8c9cf00 <+32>:	test   %eax,%eax
:   0x00007f4ad8c9cf02 <+34>:	jne    0x7f4ad8c9cf30 <g_test_log_set_fatal_handler+80>
:   0x00007f4ad8c9cf04 <+36>:	mov    %rdi,0x2d2ee5(%rip)        # 0x7f4ad8f6fdf0 <fatal_log_func>
:   0x00007f4ad8c9cf0b <+43>:	mov    %rsi,0x2d2ee6(%rip)        # 0x7f4ad8f6fdf8 <fatal_log_data>
:   0x00007f4ad8c9cf12 <+50>:	mov    0x10(%rsp),%rbx
:   0x00007f4ad8c9cf17 <+55>:	mov    0x18(%rsp),%rbp
:   0x00007f4ad8c9cf1c <+60>:	mov    0x20(%rsp),%r12
:   0x00007f4ad8c9cf21 <+65>:	add    $0x28,%rsp
:   0x00007f4ad8c9cf25 <+69>:	retq   
:   0x00007f4ad8c9cf26 <+70>:	nopw   %cs:0x0(%rax,%rax,1)
:   0x00007f4ad8c9cf30 <+80>:	mov    0x2d1fc1(%rip),%r12        # 0x7f4ad8f6eef8
:   0x00007f4ad8c9cf37 <+87>:	mov    %rsi,0x8(%rsp)
:   0x00007f4ad8c9cf3c <+92>:	mov    0x2d2e8d(%rip),%rdi        # 0x7f4ad8f6fdd0 <g_messages_lock>
:=> 0x00007f4ad8c9cf43 <+99>:	callq  *0x8(%r12)
:   0x00007f4ad8c9cf48 <+104>:	mov    0x0(%rbp),%eax
:   0x00007f4ad8c9cf4b <+107>:	mov    0x8(%rsp),%rsi
:   0x00007f4ad8c9cf50 <+112>:	mov    %rbx,0x2d2e99(%rip)        # 0x7f4ad8f6fdf0 <fatal_log_func>
:   0x00007f4ad8c9cf57 <+119>:	test   %eax,%eax
:   0x00007f4ad8c9cf59 <+121>:	mov    %rsi,0x2d2e98(%rip)        # 0x7f4ad8f6fdf8 <fatal_log_data>
:   0x00007f4ad8c9cf60 <+128>:	je     0x7f4ad8c9cf12 <g_test_log_set_fatal_handler+50>
:   0x00007f4ad8c9cf62 <+130>:	mov    0x18(%r12),%rax
:   0x00007f4ad8c9cf67 <+135>:	mov    0x2d2e62(%rip),%rdi        # 0x7f4ad8f6fdd0 <g_messages_lock>
:   0x00007f4ad8c9cf6e <+142>:	mov    0x10(%rsp),%rbx
:   0x00007f4ad8c9cf73 <+147>:	mov    0x18(%rsp),%rbp
:   0x00007f4ad8c9cf78 <+152>:	mov    0x20(%rsp),%r12
:   0x00007f4ad8c9cf7d <+157>:	add    $0x28,%rsp
:   0x00007f4ad8c9cf81 <+161>:	jmpq   *%rax
:End of assembler dump.

build_ids:
:73406c405d81cc8ebddb7d267a8c8035eeabef49
:38d6e127cf938b80d121f34097e4c3aeb4b89666
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:23b6792e3218744316fd495002f40a037c2e0095
:2fd6dbe0359154b7cf4e0af02e3aa0f9ec819f11
:535b36166e926cc8c230cffc7deb5d46d103e6ac
:49a5c6d4e4db5066266ee3c801a61846352da742
:1c9ea813c175e7c9fdbbc71b7e4c435c1bbd7952
:1c6a95451ee19617be5abea3d121f0226d21ddda
:22fcd30239c84ed7b18f5b9a34c2629f7a8fc4aa
:91cbfb5d1e390de70c4ce752917cb158edfdf44a
:71a6e8a0b941d284363a552719ad89f6e13c416f
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:477fa95b2fab67f7b0ec05cfa5068ce475c7a460
:dd64c6b3988aa5eb1d27a37c2efbd54c52f8d953
:7736285a9d7606379bd0145646e9974d1221616b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:3c55e68121d3657c207a070a8c150b3055d45623
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:25b834f4c4dc534708635ff1064e2fe02a366a62
:39a9d7e5a7c16008e1a436b07c3b4572a8ad8864
:475928f8a90f26acb6ecb00fedbe0291ab7a89a7
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:16cd4f049ae10dc8c27c8d9a1c933189f74cc837
:84c10b99d5e313e2da4f265437eb20d9d15f0470
:91709dc7083204ddd936d5ad28c171985f06f66c
:bc6ef19aa95f1c2e2af71fb12cb60e9315b2e0c4
:f4a8746bdce81a5832071025756151f69ae8e122
:163b323da65b708418226eb5fa8b057c731d1475
:a846184299890c97d37cecedf02d0950a7fc3f15
:2bfc84b715cc5d83bd57e06c5ba53908eaa76ee8
:4c842320387ff7f6f91b7842b223c16518be909f
:9523adec86a142d4e4521da1cabb80c64c5fbad7
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:b5a943f315b2d05a1aa13213035026dd24acbf05
:31020adf777597b112a3f3545a30ed149a0d6cb1
:b864e94cf7e23d207e5474bbb7beaee3633ed694
:90d054ca7d1579bcc68ba290effe49e6f2188847
:a12e6b090d274b8311b78a5029b13ec9dd614084
:91689252818532ec13597b6528d38be93b2706c4
:e3baf3b147d94cc6e1ca81584a718912de2bd0d9
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:33d2ab2ee0f9451d3d39cb670b1b5821ab848cc4
:b038838c10d38141b6ec19b40168be9caaa78286
:33fcb628aa1a89e201f6078779953af49888025a
:d088e4f7d68d087390b4a16a8ce813a61e92b987
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:48aea888319e1848137073c9cbde54a4c2a731c9
:d0c6e13f00a20952a72a945c929efb175fd760e3
:2b7dd2945c33cb04d8e7e20e658978f18fd8b491
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

comment:
:This happens whenever xfce-power-manager is started in XFCE:
:
:$ xfce4-power-manager --no-daemon
:
:(xfce4-power-manager:1993): libnotify-WARNING **: Failed to connect to proxy
:
:(xfce4-power-manager:1993): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode
:
:
:Gdk-ERROR **: The program 'xfce4-power-manager' received an X Window System error.
:This probably reflects a bug in the program.
:The error was 'BadName (named color or font does not exist)'.
:  (Details: serial 300 error_code 15 request_code 149 minor_code 11)
:  (Note to programmers: normally, X errors are reported asynchronously;
:   that is, you will receive the error a while after causing it.
:   To debug your program, run it with the --sync command line
:   option to change this behavior. You can then get a meaningful
:   backtrace from your debugger if you break on the gdk_x_error() function.)
:Trace/breakpoint trap (core dumped)

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1316820949
:/lib64/libm-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1316820575
:/usr/lib64/libxfconf-0.so.2.0.0 xfconf-4.8.0-4.fc16.x86_64 (Fedora Project) 1316751530
:/usr/lib64/libfreetype.so.6.7.0 freetype-2.4.5-2.fc16.x86_64 (Fedora Project) 1316820550
:/lib64/libglib-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1316820562
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1316820940
:/lib64/libresolv-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.9-3.fc16.x86_64 (Fedora Project) 1316820560
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1316820565
:/usr/lib64/libatk-1.0.so.0.20109.1 atk-2.1.0-1.fc16.x86_64 (Fedora Project) 1316820565
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1316820558
:/usr/lib64/libpangoft2-1.0.so.0.2903.0 pango-1.29.3-1.fc16.x86_64 (Fedora Project) 1316820960
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1316820950
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1316820945
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1316820559
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1316820944
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc16.x86_64 (Fedora Project) 1316821152
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1316820940
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1316820943
:/usr/lib64/libxfce4util.so.4.1.1 libxfce4util-4.8.2-1.fc16.x86_64 (Fedora Project) 1316751528
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1316820980
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-1.fc16.x86_64 (Fedora Project) 1316820550
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1316820942
:/lib64/libgio-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1316820562
:/lib64/libdl-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.5 gdk-pixbuf2-2.23.5-1.fc16.x86_64 (Fedora Project) 1316820941
:/usr/lib64/libpangocairo-1.0.so.0.2903.0 pango-1.29.3-1.fc16.x86_64 (Fedora Project) 1316820960
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-2.fc16.x86_64 (Fedora Project) 1316820558
:/lib64/libgthread-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1316820562
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1316820552
:/lib64/libc-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1316820747
:/lib64/librt-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1316820554
:/lib64/libpthread-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1316820574
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1316820573
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.12-1.fc16.x86_64 (Fedora Project) 1316820946
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1316820575
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1316820551
:/lib64/ld-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1316820539
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1316820942
:/usr/lib64/libgtk-x11-2.0.so.0.2400.5 gtk2-2.24.5-1.fc16.x86_64 (Fedora Project) 1316820966
:/usr/lib/locale/locale-archive glibc-common-2.14.90-4.x86_64 (Fedora Project) 1316820536
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1316820944
:/usr/lib64/libgdk-x11-2.0.so.0.2400.5 gtk2-2.24.5-1.fc16.x86_64 (Fedora Project) 1316820966
:/lib64/libgobject-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1316820562
:/usr/lib64/libxfce4ui-1.so.0.0.0 libxfce4ui-4.8.0-4.fc16.x86_64 (Fedora Project) 1316751531
:/usr/bin/xfce4-power-manager xfce4-power-manager-1.0.10-1.fc16.x86_64 (Fedora Project) 1316751619
:/lib64/libgmodule-2.0.so.0.2914.0 glib2-2.29.14-1.fc16.x86_64 (Fedora Project) 1316820562
:/lib64/libgcc_s-4.6.1-20110715.so.1 libgcc-4.6.1-3.fc16.x86_64 (Fedora Project) 1316820488
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1316820945
:/lib64/libselinux.so.1 libselinux-2.0.102-6.fc16.x86_64 (Fedora Project) 1316820550
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc16.x86_64 (Fedora Project) 1316820947
:/usr/lib64/libpango-1.0.so.0.2903.0 pango-1.29.3-1.fc16.x86_64 (Fedora Project) 1316820960

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1476
:HOSTNAME=igor-hp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-Ozj3f7/S.gpg-agent:1497:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=80bceb81e0be19877ca8e69f00000014-1316755098.243941-377380563
:GNOME_KEYRING_CONTROL=/tmp/keyring-RbnKKj
:IMSETTINGS_MODULE=none
:USER=igor
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-lrPcaCub1355/agent.1355
:USERNAME=igor
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/igor
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/igor/.local/bin:/home/igor/bin
:QT_IM_MODULE=xim
:PWD=/home/igor
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1350
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/igor
:LOGNAME=igor
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LMdRNA43PE,guid=9479cd97a6b494ed7b784dd50000003d
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/igor
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-igor-x1tmN2/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1508,unix/unix:/tmp/.ICE-unix/1508
:DISPLAY=:0.0

var_log_messages:
:Sep 23 00:20:20 igor-hp yum[1979]: Installed: xfce4-power-manager-1.0.10-1.fc16.x86_64
:Sep 23 00:21:48 igor-hp abrt[2625]: saved core dump of pid 2539 (/usr/bin/xfce4-power-manager) to /var/spool/abrt/ccpp-2011-09-23-00:21:47-2539.new/coredump (10563584 bytes)
:Sep 23 00:31:53 igor-hp abrt[1599]: saved core dump of pid 1480 (/usr/bin/xfce4-power-manager) to /var/spool/abrt/ccpp-2011-09-23-00:31:53-1480.new/coredump (10563584 bytes)
:Sep 23 01:18:28 igor-hp abrt[1662]: saved core dump of pid 1545 (/usr/bin/xfce4-power-manager) to /var/spool/abrt/ccpp-2011-09-23-01:18:27-1545.new/coredump (10604544 bytes)
Comment 1 igor.redhat@gmail.com 2011-09-26 13:56:33 EDT
Created attachment 524948 [details]
File: maps
Comment 2 igor.redhat@gmail.com 2011-09-26 13:56:35 EDT
Created attachment 524949 [details]
File: event_log
Comment 3 igor.redhat@gmail.com 2011-09-26 13:57:00 EDT
Created attachment 524950 [details]
File: coredump
Comment 4 Christoph Wickert 2011-10-24 04:53:50 EDT
This backtrace lacks a lot of debug symbols. Please install them with

debuginfo-install gtk2 libffi libgcc libselinux libuuid libXi xfce4-power-manager 

and submit a new backtrace. Thanks!
Comment 5 igor.redhat@gmail.com 2011-10-27 14:01:19 EDT
(In reply to comment #4)
Christoph, reproducing it after installing the above debug symbols or even running the core through retrace server results in the same backtrace as bug 736727. Please let me know if there is anything else that can be done to help track this down - this crash makes XFCE pretty much unusable on a laptop unless the koji rpm mentioned in bug 736727 is installed :(

Note You need to log in before you can comment on or make changes to this bug.